> ## Documentation Index
> Fetch the complete documentation index at: https://docs.verisoul.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get All Accounts in List



## OpenAPI

````yaml ../list-openapi.json GET /list/{list_name}
openapi: 3.0.1
info:
  title: Verisoul API
  description: The Verisoul API is used to integrate Verisoul into your application.
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://api.sandbox.verisoul.ai
security:
  - apiKeyAuth: []
paths:
  /list/{list_name}:
    get:
      description: Returns all accounts in a specific list
      parameters:
        - name: list_name
          in: path
          description: Name of the list to retrieve accounts from
          required: true
          schema:
            type: string
      responses:
        '200':
          description: List accounts response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ListAccountsResponse'
              example:
                request_id: bb152ba5-8311-4192-846f-1670a581becb
                description: List of US based users
                accounts:
                  - john-doe
                  - john-doe-2
                  - amy-williams
                  - frank-smith
                  - mark-johnson
        '400':
          description: List not found or invalid request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CreateListError'
              example:
                message: List not found
                statusCode: 400
components:
  schemas:
    ListAccountsResponse:
      type: object
      properties:
        request_id:
          type: string
          description: The ID of the request
        description:
          type: string
          description: Description of the list's purpose
        accounts:
          type: array
          items:
            type: string
          description: Array of account IDs in the list
    CreateListError:
      type: object
      properties:
        message:
          type: string
          description: Error message
        statusCode:
          type: integer
          description: HTTP status code
  securitySchemes:
    apiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````